function pickDonutBagMsg(place)
    local unlikelyChance = math.random() <= 0.20 -- chance for rare messages to occur
    local messages -- will become a table of messages depending on how fast the player was, and whether they get a more secret message
    --[[
        tables within "messages" table have two values, one for the text appearing before the player's time, and one for the text after
        you need to put a space at the end of your "pre" string and/or the beginning of your "post" string to separate the time
        examples:
            {"Your time is", "today."} --> "Your time is1:00.00today."
            {"Your time is ", " today."} --> "Your time is 1:00.00 today."
    ]]--

    if place == 3 then -- slow time
        if unlikelyChance then -- rare message
            messages = {
                {"Finally... You took *how* long? ", "? Oh my god."},
                {"About time! And about *your* time...well......I'll just leave it here....... ...................................... ................................................... ........................................ ............................................. ........................................ ", ""},
                {'Even when you felt trapped, you took notes and achieved the end of "Donut." (', ")"}
                
            }
        else
            messages = { -- less rare messages
                {"Well, you made it...! Your time: ", ""},
                {"Finish! Your time was... ", "."},
                {"Scenario...complete...you took...", "...to f...f-fweh......zzz..."},
                {"Oh, are you done over there?! What did you say?? ", "???"}
            }
        end
    elseif place == 2 then -- normal/decent time
        if unlikelyChance then -- etc.
            messages = {
                {"You did a finish! You have a time of ", "."},
                {"Your drifts were adequate. Your time was ", "."}
            }
        else
            messages = {
                {"Not bad! Time elapsed: ", ""},
                {"Scenario complete. You took ", " to finish."},
                {"", " is a satisfactory time."},
                {"Finish! Your time: ", ""},
                {"Alright! Your time was ", "."}
            }
        end
    elseif place == 1 then -- fast time
        if unlikelyChance then
            messages = {
                {"That speed...! Your time: ", ""},
                {"Those donuts were so real, they were almost edible! (Your time was ", ".)"}
            }
        else
            messages = {
                {"Nice drifting! Your time was ", "."},
                {"Smoooooth donuts! Your time: ", ""},
                {"Smooth moves! Your time: ", ""},
                {"Incredible! Your time was ", "!"},
                {"Nicely done! Your time: ", ""}
            }
        end
    else -- invalid number passed? embarassing!
        messages = {{"wat ", ""}}
    end
    
    local msgNum = math.random(#messages)
    
    return messages[msgNum]
end

return pickDonutBagMsg